cad/xtrkcad

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

cad/xtrkcad

Antoine Jacoutot-7
Hi.

I would like to remove www/webkit from the tree.
As the pkg/MESSAGE tells you:
!!! WARNING: WebKitGTK+ 2.4 is known to have many security vulnerabilities that
!!! will NOT be fixed. Avoid browsing with it.

It's unmaintained code that takes a huge amount of time to build and which only
consumer is... cad/xtrkcad.
It looks like the most recent xtrkcad version from last May still uses the *old*
webkit, so updating won't help.

Should we just remove it until they move to webkitgtk4 (which is maintained)?

--
Antoine

Reply | Threaded
Open this post in threaded view
|

Re: cad/xtrkcad

Klemens Nanni-2
On Sun, Jul 15, 2018 at 12:50:17PM +0200, Antoine Jacoutot wrote:
> I would like to remove www/webkit from the tree.
> As the pkg/MESSAGE tells you:
> !!! WARNING: WebKitGTK+ 2.4 is known to have many security vulnerabilities that
> !!! will NOT be fixed. Avoid browsing with it.
>
> It's unmaintained code that takes a huge amount of time to build and which only
> consumer is... cad/xtrkcad.
I'd like to see it go.

> It looks like the most recent xtrkcad version from last May still uses the *old*
> webkit, so updating won't help.
>
> Should we just remove it until they move to webkitgtk4 (which is maintained)?
Sounds good to me.

Reply | Threaded
Open this post in threaded view
|

Re: cad/xtrkcad

Antoine Jacoutot-7
On Sun, Jul 15, 2018 at 01:04:29PM +0200, Klemens Nanni wrote:

> On Sun, Jul 15, 2018 at 12:50:17PM +0200, Antoine Jacoutot wrote:
> > I would like to remove www/webkit from the tree.
> > As the pkg/MESSAGE tells you:
> > !!! WARNING: WebKitGTK+ 2.4 is known to have many security vulnerabilities that
> > !!! will NOT be fixed. Avoid browsing with it.
> >
> > It's unmaintained code that takes a huge amount of time to build and which only
> > consumer is... cad/xtrkcad.
> I'd like to see it go.
>
> > It looks like the most recent xtrkcad version from last May still uses the *old*
> > webkit, so updating won't help.
> >
> > Should we just remove it until they move to webkitgtk4 (which is maintained)?
> Sounds good to me.

Anyone else? Should I just go ahead and remove it?

--
Antoine

Reply | Threaded
Open this post in threaded view
|

Re: cad/xtrkcad

Gonzalo L. Rodriguez-2
this thing never dies?

Sent from my toaster

> On 17. Jul 2018, at 09:57, Antoine Jacoutot <[hidden email]> wrote:
>
>> On Sun, Jul 15, 2018 at 01:04:29PM +0200, Klemens Nanni wrote:
>>> On Sun, Jul 15, 2018 at 12:50:17PM +0200, Antoine Jacoutot wrote:
>>> I would like to remove www/webkit from the tree.
>>> As the pkg/MESSAGE tells you:
>>> !!! WARNING: WebKitGTK+ 2.4 is known to have many security vulnerabilities that
>>> !!! will NOT be fixed. Avoid browsing with it.
>>>
>>> It's unmaintained code that takes a huge amount of time to build and which only
>>> consumer is... cad/xtrkcad.
>> I'd like to see it go.
>>
>>> It looks like the most recent xtrkcad version from last May still uses the *old*
>>> webkit, so updating won't help.
>>>
>>> Should we just remove it until they move to webkitgtk4 (which is maintained)?
>> Sounds good to me.
>
> Anyone else? Should I just go ahead and remove it?
>
> --
> Antoine
>